import org.kde.qt.*;
import org.kde.koala.*;

/**
 *  Main class.
 *
 *  Taken from KDE 2.0 Development book
 *
 *  Helping the User Use Your Application
 *
 *  ToolTips, What's This?, and More
 *
 * @see KApplication
 * @see KCmdLineArgs
 *
 * @author java translation Kenneth J. Pouncey, kjpou@hotmail.com
 * @version 0.1
 */

public class Main {

	static String description = "KDE 2 Development example";


   static String[][] options = {   };


static String VERSION = "0.1";

   public static void main(String[] cmdLineArgs) {

      KAboutData aboutData = new KAboutData( "KHelpers", "KHelpers",
         VERSION, description, KAboutData.License_GPL,
         "KDE 2 Development");
      KCmdLineArgs.init( cmdLineArgs, aboutData );
      KCmdLineArgs.addCmdLineOptions( options ); // Add our own options.

      KApplication app = new KApplication();
      KHelpers khelpers = new KHelpers();

      khelpers.show();

      app.exec();
      return;
   }

   static {
      qtjava.initialize();
      kdejava.initialize();
   }

}
